<!-- <mat-toolbar color="warn">
    <mat-toolbar-row>
      <span class="title-center">Lithion Internal</span>
    </mat-toolbar-row>
    </mat-toolbar> -->
  <div class="row">
    <div class="col-sm-12 col-md-12 col-lg-12 ttable">
        <mat-toolbar class="toolbar bg-success" >
            <mat-toolbar-row>
              <span class="title-center" style="color:white ; font-size: 3.4rem;">Lithion Internal</span>
            </mat-toolbar-row>
            </mat-toolbar>
            <mat-toolbar class="toolbar" style="background-color:rgb(21, 22, 21)" >
                <mat-toolbar-row>
                  <span style="color: white">Current Status Of All Assets</span>
                </mat-toolbar-row>
                </mat-toolbar>
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8 table-striped warning table-bordered">
          <tbody>

            <!--- Note that these columns can be defined in any order.
                  The actual rendered columns are set as a property on the row definition" -->


            <ng-container matColumnDef="Asset Id">
              <th mat-header-cell *matHeaderCellDef style="text-align: center"> Asset ID </th>
              <td mat-cell *matCellDef="let element" style="text-align: center"><a routerLink="/battery/{{element.assetId}}" >{{element.assetId}}</a></td>
            </ng-container>


            <ng-container matColumnDef="lastUpdatedAt">
              <th mat-header-cell *matHeaderCellDef style="text-align: center"> Last Updated At </th>
              <td mat-cell *matCellDef="let element" style="text-align: center" > {{element.updatedAt}} </td>
            </ng-container>


            <ng-container matColumnDef="updateDate">
              <th mat-header-cell *matHeaderCellDef style="text-align: center"> Update Date </th>
              <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.updatedAtDate}} </td>
            </ng-container>


            <ng-container matColumnDef="updateTime">
              <th mat-header-cell *matHeaderCellDef style="text-align: center"> Update Time </th>
              <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.updatedAtTime}} </td>
            </ng-container>

            <ng-container matColumnDef="current">
                <th mat-header-cell *matHeaderCellDef style="text-align: center"> Current </th>
                <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.current}} </td>
              </ng-container>


              <ng-container matColumnDef="voltage">
                <th mat-header-cell *matHeaderCellDef style="text-align: center"> Voltage </th>
                <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.voltage}} </td>
              </ng-container>


              <ng-container matColumnDef="capLeft">
                <th mat-header-cell *matHeaderCellDef style="text-align: center"> Cap Left </th>
                <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.capLeft}} </td>
              </ng-container>

              <ng-container matColumnDef="kmLeft">
                  <th mat-header-cell *matHeaderCellDef style="text-align: center"> Km Left </th>
                  <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.kmLeft}} </td>
                </ng-container>

                <ng-container matColumnDef="kmDriven">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center"> Km Driven </th>
                    <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.kmDriven}} </td>
                  </ng-container>


                  <ng-container matColumnDef="userID">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center"> User ID </th>
                    <td mat-cell *matCellDef="let element" style="text-align: center"> {{element.actorId}} </td>
                  </ng-container>


                  <ng-container matColumnDef="name">
                    <th mat-header-cell *matHeaderCellDef style="text-align: center"> name </th>
                    <td mat-cell *matCellDef="let element" style="text-align: center"> <div *ngIf="element.lspName || element.lspName==''; else NA"> {{element.lspName }} </div>
                      <ng-template #NA>NA</ng-template> </td>
                  </ng-container>


            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

          </table>


    </div>
  </div>
